Bio::Map::FPCMarker(3)

NAME
Bio::Map::FPCMarker - An central map object representing a marker

SYNOPSIS
   ## get the marker object of $marker from the Bio::Map::FPCMarker
   my $markerobj = $physical->get_markerobj($marker);

   ## acquire all the clones that hit this marker
   foreach my $clone ($markerobj->each_cloneid()) {
       print "   +++$clone\n";
   }

   ## find the position of this marker in $contig
   print "Position in contig $contig"," = ",$markerobj->position($contig),
         "\n";

   ## find the group of the marker
   print "Group : ",$markerobj->group();

See Bio::Map::Position and Bio::Map::PositionI for more information.

DESCRIPTION
This object handles the notion of a marker.

This object is intended to be used by a map parser like fpc.pm.

  Design principles
A MappableI is a central object in Bio::Map name space. A Map is a holder class for objects. A MappableI has a Position in a Map. A MappableI can be compared to an other MappableI using boolean methods.

  new
 Title   : new
 Usage   : my $clone = Bio::Map::FPCMarker->new
                      (
                       -name    => $marker,
                       -type    => $type,
                       -global  => $global,
                       -frame   => $frame,
                       -group   => $group,
                       -subgroup=> $subgroup,
                       -anchor  => $anchor,
                       -clones  => \%clones,
                       -contigs => \%contigs,
                       -position => \%markerpos
                       );

 Function: Initialize a new Bio::Map::FPCMarker object
           Most people will not use this directly but get Markers
           through L<Bio::MapIO::fpc>
 Returns : L<Bio::Map::FPCMarker> object
 Args    :    -name => marker name string,
              -type    => type string,
              -global  => global position for marker,
              -frame   => boolean if marker is framework or placement,
              -group   => group number for marker,
              -subgroup=> subgroup number of marker,
              -anchor  => boolean if marker is anchored,
              -clones  => all the clone elements in map (hashref),
              -contigs => all the contig elements (hasref),
              -position => mapping of marker names to map position (hasref),

Access Methods
These methods let you get and set the member variables

  name
 Title   : name
 Usage   : my $name = $markerobj->name();
 Function: get the name for this marker
 Returns : scalar representing the current name of this marker
 Args    : none

  type
 Title   : type
 Usage   : my $type = $markerobj->type();
 Function: get the type for this marker
 Returns : scalar representing the current type of this marker
 Args    : none

  global
 Title   : global
 Usage   : my $type = $markerobj->global();
 Function: get the global position for this marker
 Returns : scalar representing the current global position of this marker
 Args    : none

  anchor
 Title   : anchor
 Usage   : my $anchor = $markerobj->anchor();
 Function: indicate if the Marker is anchored or not (True | False)
 Returns : scalar representing the anchor (1 | 0) for this marker
 Args    : none

  framework
 Title   : framework
 Usage   : $frame = $markerobj->framework();
 Function: indicate if the Marker is framework or placement (1 | 0)
 Returns : scalar representing if the marker is framework
           (1 if framework, 0 if placement)
 Args    : none

  group
 Title   : group
 Usage   : $grpno = $markerobj->group();
 Function: get the group number for this marker. This is a
           generic term, used for Linkage-Groups as well as
           for Chromosomes.
 Returns : scalar representing the group number of this marker
 Args    : none

  subgroup
 Title   : subgroup
 Usage   : $subgroup = $marker->subgroup();
 Function: get the subgroup for this marker. This is a
           generic term: subgroup here could represent subgroup
           of a Chromosome or of a Linkage Group
           The user must take care of which subgroup he/she is
           querying for.
 Returns : scalar representing the subgroup of this marker
 Args    : none

  position
 Title   : position
 Usage   : $markerpos = $markerobj->position($ctg);
 Function: get the position of the marker in the contig
 Returns : scalar representing the position of the markernumber of
           the contig
 Args    : $ctg is necessary to look for the position of the marker
           in that contig.

  each_<element>id
 Title   : each_<element>id
 Usage   : my @clones  = $markerobj->each_cloneid();
           my @contigs = $markerobj->each_contigid();
 Function: retrieves all the elements in a map unordered
 Returns : list of Bio::Map::MappableI ids (names)
 Args    : type of elements you want (clones, contigs)

  set_clones
 Title   : set_clones
 Usage   : $marker->set_clones(\%clones)
 Function: Set the clones hashref
 Returns : None
 Args    : Hashref of clone names to clones

  set_contigs
 Title   : set_contigs
 Usage   : $marker->set_contigs(\%contigs)
 Function: Set the contigs hashref
 Returns : None
 Args    : Hashref of contig names to contigs

  set_positions
 Title   : set_positions
 Usage   : $marker->set_positions(\%markerpos)
 Function: Set the positions hashref
 Returns : None
 Args    : Hashref of marker positions

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org              - General discussion
  http://bioperl.org/MailList.shtml  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.bioperl.org/

AUTHOR - Gaurav Gupta
Email gaurav@genome.arizona.edu

PROJECT LEADERS
Jamie Hatfield jamie@genome.arizona.edu

Dr. Cari Soderlund cari@genome.arizona.edu

PROJECT DESCRIPTION
The project was done in Arizona Genomics Computational Laboratory (AGCoL) at University of Arizona.

This work was funded by USDA-IFAFS grant #11180 titled "Web Resources for the Computation and Display of Physical Mapping Data".

For more information on this project, please refer:
  http://www.genome.arizona.edu

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _